#version 150

// The diffuse sampler for creating the blur effect
uniform sampler2D DiffuseSampler;

in vec2 texCoord;// In: tex coordinates
in vec2 oneTexel;// In: one texel

uniform vec2 BlurDir;// The blur direction
uniform float Radius;// The blur radius

// Main blur function
void main() {
    vec4 blur = vec4(0.0);

    //
    float radius = floor(Radius);
    vec2 dir = oneTexel * BlurDir;

    // For the radius, increase the blur from the tex coordinates
    for (float i = -radius; i <= radius; i += 1.0) {
        blur += texture(DiffuseSampler, texCoord + r * dir);
    }

    // Output the final processed blur
    gl_FragColor = vec4(blur.rgb / (1.0 + (radius * 2.0)), 1.0);
}
